Bug 87053 - [GTK] [WebKit2] Add an API to enable and disable composited layer indicators
: [GTK] [WebKit2] Add an API to enable and disable composited layer indicators
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Martin Robinson
:
Depends on: 86037
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 15:34 PDT by Martin Robinson
Modified: 2012-05-23 09:06 PDT (History)
5 users (show)

See Also:


Attachments
Patch (7.42 KB, patch)
2012-05-21 16:33 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Patch with unit test and doc fix (8.37 KB, patch)
2012-05-22 11:15 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2012-05-21 15:34:33 PDT
WebKit exposes a page setting to enable and disable composited layer borders for debugging issues with accelerated compositing. It would be useful to expose this setting so that Epiphany can use it.
Comment 1 Martin Robinson 2012-05-21 16:33:41 PDT
Created attachment 143132 [details]
Patch
Comment 2 WebKit Review Bot 2012-05-21 16:36:00 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Carlos Garcia Campos 2012-05-21 23:19:59 PDT
Comment on attachment 143132 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=143132&action=review

Looks good! Please add a test case to the WebKitSettings unit test too.

> Source/WebKit2/UIProcess/API/gtk/WebKitSettings.cpp:919
> +     * WebKitSettings:draw-compositing-indicators

Missing trailing : there
Comment 4 WebKit Review Bot 2012-05-21 23:48:29 PDT
Comment on attachment 143132 [details]
Patch

Attachment 143132 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12748323
Comment 5 Martin Robinson 2012-05-22 11:15:52 PDT
Created attachment 143329 [details]
Patch with unit test and doc fix
Comment 6 Carlos Garcia Campos 2012-05-22 23:34:22 PDT
Comment on attachment 143329 [details]
Patch with unit test and doc fix

LGTM!
Comment 7 WebKit Review Bot 2012-05-23 09:06:20 PDT
Comment on attachment 143329 [details]
Patch with unit test and doc fix

Clearing flags on attachment: 143329

Committed r118183: <http://trac.webkit.org/changeset/118183>
Comment 8 WebKit Review Bot 2012-05-23 09:06:25 PDT
All reviewed patches have been landed.  Closing bug.